Skip to content

Place a browser playground call. Script calls use POST /voice/call.

POST
/voice/browser-call
curl --request POST \
--url https://api.pingram.io/voice/browser-call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "config": { "type": "script", "steps": [ { "verb": "Say", "text": "example" } ], "voicemailAction": "hangup", "voicemailMessage": "example", "privacy": { "record": true, "transcribe": true } }, "variables": { "additionalProperty": "example" }, "direction": "inbound" }'

Authorizations

Request Bodyrequired

Media typeapplication/json
object
config
required
Any of:
One of:
Script
object
type
required
string
Allowed values: script
steps
required
Array<object>

One spoken line. This slice only runs Say.

object
verb
required
string
Allowed values: Say
text
required
string
voicemailAction

What to do when an answering machine picks up. hangup ends the call, message plays voicemailMessage, continue keeps talking. Default: continue.

string
Allowed values: hangup message continue
voicemailMessage
string
privacy

Omitted privacy means record and transcribe are both on.

object
record
boolean
transcribe
boolean
variables

Optional per-call {{variable}} overrides for browser playground.

object
key
additional properties
string
direction

Inbound speaks the greeting. outbound speaks the opener. Omitted means outbound.

string
Allowed values: inbound outbound

Responses

200

Successful response

Media typeapplication/json
object
trackingId
required
string
websocket
required
string
token
required
string
Examplegenerated
{
"trackingId": "example",
"websocket": "example",
"token": "example"
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}